Bug 973321 - Incorrect dependency on python-sphinx10
Incorrect dependency on python-sphinx10
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-py (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Moschny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 12:51 EDT by Endi Sukma Dewata
Modified: 2013-06-29 14:26 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-py-1.4.14-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-29 14:26:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Endi Sukma Dewata 2013-06-11 12:51:22 EDT
In python-py spec file there's a conditional dependency on python-sphinx/sphinx10:

%if 0%{?fedora}
BuildRequires:  python-sphinx
%else
BuildRequires:  python-sphinx10
%endif # fedora

%if 0%{?fedora}
make -C doc html PYTHONPATH=$(pwd)
%else
make -C doc html SPHINXBUILD=sphinx-1.0-build PYTHONPATH=$(pwd)
%endif # fedora

This is causing a build issue on RHEL. In both locations the condition should be:

%if 0%{rhel} || 0%{?fedora}
Comment 1 Thomas Moschny 2013-06-11 13:19:01 EDT
See 973318#c1.
Comment 2 Endi Sukma Dewata 2013-06-13 11:16:25 EDT
As mentioned in bug #973318, I'm trying to compile for RHEL 7 which has python-sphinx-1.1.3-7, the same as in F19. In that case the conditional you described should work.

Also, could we raise the priority of this bug? This issue is blocking the RHEL 7 build and several other components depending on it. Thanks!
Comment 3 Fedora Update System 2013-06-13 11:31:08 EDT
python-py-1.4.14-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-py-1.4.14-2.fc19
Comment 4 Fedora Update System 2013-06-13 14:04:45 EDT
Package python-py-1.4.14-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-py-1.4.14-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10759/python-py-1.4.14-2.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-06-29 14:26:31 EDT
python-py-1.4.14-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.